VPS侦探论坛

 找回密码
 注册
查看: 241|回复: 1

lnmp安装多版本php失败

[复制链接]
发表于 2021-1-19 11:18:18 | 显示全部楼层 |阅读模式



checking for zlib... yes
checking for libpng... yes
checking for libjpeg... no
configure: error: Package requirements (libjpeg) were not met:

No package 'libjpeg' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables JPEG_CFLAGS
and JPEG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** 没有指明目标并且找不到 makefile。 停止。
make: *** 没有指明目标并且找不到 makefile。 停止。
make: *** 没有规则可以创建目标“install”。 停止。
Copy new php configure file...
Modify php.ini......
Install ZendGuardLoader for PHP 7.4...
unavailable now.
Creating new php-fpm configure file...
Copy php-fpm init.d file...
cp: 无法获取"/lnmp1.7/src/php-7.4.12/sapi/fpm/init.d.php-fpm" 的文件状态(stat): 没有那个文件或目录
chmod: 无法访问"/etc/init.d/php-fpm7.4": 没有那个文件或目录
Add php-fpm7.4 service at system startup...
服务 php-fpm7.4 信息读取出错:没有那个文件或目录
服务 php-fpm7.4 信息读取出错:没有那个文件或目录
+-------------------------------------------+
|    Manager for LNMP, Written by Licess    |
+-------------------------------------------+
|              https://lnmp.org             |
+-------------------------------------------+
Starting LNMP...
Starting nginx...  done
Starting php-fpm  done
Failed to install php-7.4.12, you can download /root/install-mphp7.4.log from your server, and upload install-mphp7.4.log to LNMP Forum.



本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-1-19 13:09:10 | 显示全部楼层


系统上缺少libjpeg-devel依赖包,这个安装lnmp时会自动安装上的,有可能被你误删掉了
centos的话可以yum install libjpeg-devel 再手动安装上
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-3-2 16:14 , Processed in 0.075339 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表